%define fname gtkhtml
%define build_cvs 0

Summary: GtkHTML is a HTML rendering/editing library
Name: gtkhtml3
Version: 3.0.8
Release: alt2
License: GPL
Group: Graphical desktop/GNOME
%if %build_cvs
Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gtkhtml/gtkhtml-%{version}cvs.tar.bz2
%else
Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gtkhtml/gtkhtml-%version.tar.gz
%endif
Url: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gtkhtml/
Requires: %name = %version

# Automatically added by buildreq on Mon Sep 22 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig-devel freetype2-devel glib2-devel glibc-devel-static gnome-libs-devel gnome-vfs2-devel indent libGConf2-devel libIDL libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat-devel libgail-devel libgal2-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgtk+2-devel libjpeg-devel libpango-devel libpopt-devel libssl-devel libxml2-devel pkgconfig zlib-devel

%description
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%package -n lib%name
Summary: Libraries for GtkHTML
Group: System/Libraries

%description -n lib%name
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains libraries used by GtkHTML.

%package -n lib%name-devel
Provides: lib%name-devel
Summary: Development libraries, header files and utilities for GtkHTML
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release

%description -n lib%name-devel
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop applications with GtkHTML.
%if 0
%package -n lib%name-devel-static
Provides: lib%name-devel-static
Summary: Static development libraries for GtkHTML
Group: Development/GNOME and GTK+

%description -n lib%name-devel-static
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop statically linked
applications with GtkHTML.
%endif

%prep
%if %build_cvs
%setup -q -n%fname
%else
%setup -q -ngtkhtml-%version
%endif
%build
%if %build_cvs
./autogen.sh --prefix=%_prefix --disable-static
%else
%configure --disable-static
%endif
#don't link test with static libraries
%__subst 's/-static//' src/Makefile

%make_build 

%install
%makeinstall 


%find_lang %fname-3.0

%post -p /sbin/ldconfig -n lib%name

%postun -p /sbin/ldconfig -n lib%name

%files -n lib%name -f %fname-3.0.lang
%doc AUTHORS ChangeLog NEWS README COPYING TODO
%_libdir/*.so.*
%_libdir/gtkhtml/*.so
%_libdir/bonobo/servers/*.server
%_datadir/gtkhtml-3.0


%files -n lib%name-devel
%_libdir/*.la
%_libdir/*.so
%_includedir/libgtkhtml-3.0
%_libdir/pkgconfig/*.pc
%_libdir/gtkhtml/*.la

%if 0
%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/gtkhtml/*.a
%endif

%changelog
* Mon Sep 22 2003 AEN <aen@altlinux.ru> 3.0.8-alt2
- added requires on %name to devel package

* Tue Aug 05 2003 AEN <aen@altlinux.ru> 3.0.8-alt1
- new version

* Fri Jul 11 2003 AEN <aen@altlinux.ru> 3.0.7-alt1
- release

* Thu Jul 03 2003 AEN <aen@altlinux.ru> 3.0.6-alt1
- new version from gnome cvs

* Wed Jun 18 2003 AEN <aen@altlinux.ru> 3.0.5-alt1
- first build for sisyphus

